# Group (deprecated)

{% hint style="danger" %} <mark style="color:red;">**This resource is deprecated.**</mark> <mark style="color:red;">You should consider using our GraphQL API with the</mark> <mark style="color:red;">`UserGroup`</mark> <mark style="color:red;">object.</mark> \ <mark style="color:red;">You can also use</mark> <mark style="color:red;">`Users`</mark> <mark style="color:red;">object filtered on</mark> *<mark style="color:red;">parentGroupId</mark>* <mark style="color:red;">if you would like to retrieve users from a specific user group.</mark>
{% endhint %}

## **List your groups**

`GET /group`

See below to discover used fields and see [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Filters**

| Filter     | Description             | Use                        |
| ---------- | ----------------------- | -------------------------- |
| parent\_id | Parent group identifier | `?filters[parent_id]=1987` |

## **Get a group details**

`GET /group/1984`

See [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Fields**

| Field                                                                                      | Description                   | Values                     |
| ------------------------------------------------------------------------------------------ | ----------------------------- | -------------------------- |
| id                                                                                         | Group identifier              | Integer                    |
| name                                                                                       | Group name                    | String                     |
| created\_at                                                                                | Date of creation              | Date `YYYY-MM-DD HH:MM:SS` |
| parent\_id                                                                                 | Parent identifier             | Integer                    |
| operator\_list **Deprecated: use the Operator resource with the group\_id filter instead** | List of operators identifiers | List of integers           |
| parent\_list                                                                               | List of parent's group ids    | List of integers           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/technologies/rest-api/group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
